Subject: RE: [Simple] RPID: what does tuple-type really mean?

From: [email-masked]
Date: Fri, 18 Jun 2004 10:54:36 +0300

> On Fri, 2004-06-11 at 11:44, ext Jonathan Rosenberg wrote:
> ...snip...
> > I think we are going to need to make sure that the
> authorization stuff
> > is aligned with the PIDF/RPID data models no matter what we
> do. Part of
> > my difficulties in wrapping up the authorization spec is
> that we keep
> > tripping on the "what is a tuple" issue in figuring out
> what kind of
> > functions to include in the authorization policies.
> 
> This is true. So from this point of view, it would be good
> not to let PIDF restrict us in making things explicit. 
> 
> > You raise a good point on partial notifications. Using a separate 
> > <device> element also won't play well with that. I'd hate to force 
> > things into tuples when they don't belong, just because partial 
> > notifications doesnt know about anything but tuples.
> 
> I agree.
> 
> Mikko, what do you think about this?

>From partial notification point of view it should be enough if these new
elements would have similar ID attribute as tuples currently have and
that they would share the same ID space. If there can be multiple
occurrences of these new 'wrapper types' having similar ID as in tuple
makes would be beneficial whether you use partial notifications or not. 

- Mikko

> Cheers,
> Aki
> > -Jonathan R.

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 21 Jun 2004 05:58:08 -0400

inline.

> makes would be beneficial whether you use partial notifications or not. 

I think it makes sense to use the same id attribute and space. My 
question is, if you did this, would a client that implemented the 
partial notification spec, but didnt know about a new <device> element, 
peer to <tuple>, properly construct a PIDF document when sent partial 
notifications that indicate changes or removal of <device> elements?

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com